package com.mortals.xhx.module.matter.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterEntity;
/**
* MatterService
*
* 事项申请材料 service接口
*
* @author zxfei
* @date 2022-09-27
*/
public interface MatterService extends ICRUDService<MatterEntity,Long>{

    /**
     * 站点事项转系统事项
     * @param sheetMatterIds
     */
    Rest<String> createMatterbBySheetMatter(Long[] sheetMatterIds, Long siteId, Context context);

    /**
     * 推荐or取消推荐
     * @param id
     */
    Rest<String> recommend(Long id,Context context);
}